Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2012-0278

CVE information

Published

10 years ago

Last Modified

9 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Heap-based buffer overflow in the FlashPix PlugIn before 4.3.4.0 for IrfanView might allow remote attackers to execute arbitrary code via a .fpx file containing a crafted FlashPix image that is not properly handled during decompression..

CVSSv2.0 Score

Severity
High
Base Score
9.3/10
Exploit Score
8.6/10
Access Vector
Network
Access Complexity
Medium
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:irfanview:flashpix_plugin:4.32:*:*:*:*:*:*:*
  Yes
-
cpe:2.3:a:irfanview:flashpix_plugin:*:*:*:*:*:*:*:*
  Yes
-
cpe:2.3:a:irfanview:irfanview:*:*:*:*:*:*:*:*
  No
-